#ifndef _DECL_Comm1LB_H_
#define _DECL_Comm1LB_H_
#include "charm++.h"
#include "CentralLB.decl.h"

/* DECLS: group Comm1LB: CentralLB{
void Comm1LB(void);
};
 */
class Comm1LB;
class CProxy_Comm1LB:  public virtual _CK_GID, public CProxy_CentralLB{
  public:
    static int __idx;
    static void __register(const char *s, size_t size);
    CProxy_Comm1LB(CkGroupID _gid) :CProxy_CentralLB(_gid){ _ck_gid = _gid; _setChare(0); }
    CProxy_Comm1LB(CkChareID __cid) :CProxy_CentralLB(__cid){ ckSetChareId(__cid); }
    CkChareID ckGetChareId(void) { return _ck_cid; }
    void ckSetChareId(CkChareID __cid){_CHECK_CID(__cid,__idx);_ck_cid=__cid;_setChare(1);}
    CkGroupID ckGetGroupId(void) { return _ck_gid; }
    void ckSetGroupId(CkGroupID _gid){_ck_gid=_gid;_setChare(0);}
    Comm1LB* ckLocalBranch(void) {
      return (Comm1LB *) CkLocalBranch(_ck_gid);
    }
    static Comm1LB* ckLocalBranch(CkGroupID gID) {
      return (Comm1LB *) CkLocalBranch(gID);
    }
/* DECLS: void Comm1LB(void);
 */
    static CkGroupID ckNew(void);
    static CkGroupID ckNewSync(void);
    CProxy_Comm1LB(int retEP, CkChareID *cid);
    CProxy_Comm1LB(void);
    static int  __idx_Comm1LB_void;
    static int  ckIdx_Comm1LB(void) { return __idx_Comm1LB_void; }
    static void _call_Comm1LB_void(void* msg, Comm1LB* obj);
};

extern void _registerComm1LB(void);
#endif
